%{?mingw_package_header}

%global release_version %(echo %{version} | awk -F. '{print $1}')

Name:           mingw-gsettings-desktop-schemas
Version:        44.0
Release:    1%{?dist}
Summary:        MinGW Windows gsettings-desktop-schemas

License:        LGPL-2.1-or-later
URL:            https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas
Source0:        https://download.gnome.org/sources/gsettings-desktop-schemas/%{release_version}/gsettings-desktop-schemas-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  glib2
BuildRequires:  gettext

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-glib2

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-glib2

%description
This package contains a collection of GSettings schemas for
settings shared by various components of a desktop.


%package -n mingw32-gsettings-desktop-schemas
Summary:        MinGW Windows gsettings-desktop-schemas

%description -n mingw32-gsettings-desktop-schemas
This package contains a collection of GSettings schemas for
settings shared by various components of a desktop.


%package -n mingw64-gsettings-desktop-schemas
Summary:        MinGW Windows gsettings-desktop-schemas

%description -n mingw64-gsettings-desktop-schemas
This package contains a collection of GSettings schemas for
settings shared by various components of a desktop.


%prep
%autosetup -p1 -n gsettings-desktop-schemas-%{version}


%build
%mingw_meson -Dintrospection=false
%mingw_ninja


%install
%mingw_ninja_install

%mingw_find_lang %{name} --all-name


%files -n mingw32-gsettings-desktop-schemas -f mingw32-%{name}.lang
%license COPYING
%{mingw32_includedir}/*
%{mingw32_datadir}/pkgconfig/*
%dir %{mingw32_datadir}/glib-2.0/
%dir %{mingw32_datadir}/glib-2.0/schemas/
%{mingw32_datadir}/glib-2.0/schemas/*
%dir %{mingw32_datadir}/GConf/
%dir %{mingw32_datadir}/GConf/gsettings/
%{mingw32_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{mingw32_datadir}/GConf/gsettings/wm-schemas.convert

%files -n mingw64-gsettings-desktop-schemas -f mingw64-%{name}.lang
%license COPYING
%{mingw64_includedir}/*
%{mingw64_datadir}/pkgconfig/*
%dir %{mingw64_datadir}/glib-2.0/
%dir %{mingw64_datadir}/glib-2.0/schemas/
%{mingw64_datadir}/glib-2.0/schemas/*
%dir %{mingw64_datadir}/GConf/
%dir %{mingw64_datadir}/GConf/gsettings/
%{mingw64_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{mingw64_datadir}/GConf/gsettings/wm-schemas.convert


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.0-1
- initial build
